import { makeAutoObservable } from "mobx";
import { MapStackNavigationProp } from "../maps/map-navigator";
import { MainTabsNavigationProp } from "./main-tabs-navigator";

class NavigationStore {
    mapNavigation: MapStackNavigationProp;
    mainNavigation: MainTabsNavigationProp;

    constructor() {
        makeAutoObservable(this);
    }
}