import { makeAutoObservable } from "mobx";

export class IndoorMapStore {
    floorNumber: number;

    constructor() {
        makeAutoObservable(this);
    }

    changeFloor(floorChange: -1 | 1 | 0) {
        this.floorNumber += floorChange;
    }
}